> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# List provider attachments

GET https://api.taigabilling.com/api/organization-providers/v3/{organization_provider_id}/attachments

Reference: https://docs.taigabilling.com/api-reference/organization-providers-v-3/organization-providers-v-3-list-attachments

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Path parameters

- `organization_provider_id` (string, required)

## Response

### 200

- `list of organization-providersv3ProviderAttachment`

## Types

### organization-providersv3ProviderAttachment

- `provider_attachment_id` (string, required)
- `organization_provider_id` (string, required)
- `file_name` (string, required)
- `file_type` (enum, required)
  - Allowed values: `W9`, `PECOS_RECORD`, `BANK_LETTER_OR_VOIDED_CHECK`
- `description` (string, required)
- `content_type` (string, required)
- `created_at` (datetime, required)
- `created_by` (usersv2UserV2, required)

### usersv2UserV2

- `user_id` (string, required)
- `idp_metadata` (list of usersv2IdpUserMetadata, required)
- `user_metadata` (usersv2UserMetadata, required)
- `primary_organization_id` (string, optional, nullable)

### usersv2IdpUserMetadata

- Usersv2IdpUserMetadata0
- Usersv2IdpUserMetadata1
- Usersv2IdpUserMetadata2

### usersv2UserMetadata

- Usersv2UserMetadata0
- Usersv2UserMetadata1

### Usersv2IdpUserMetadata0

- `auth0_id` (string, required)
- `type` (enum, required)
  - Allowed values: `auth_zero_metadata`

### Usersv2IdpUserMetadata1

- `google_apps_id` (string, required)
- `type` (enum, required)
  - Allowed values: `google_apps_metadata`

### Usersv2IdpUserMetadata2

- `idp_external_id` (string, required)
- `type` (enum, required)
  - Allowed values: `other_idp_metadata`

### Usersv2UserMetadata0

- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `machine_user_metadata`

### Usersv2UserMetadata1

- `email` (string, required)
- `first_name` (string, required)
- `last_name` (string, required)
- `type` (enum, required)
  - Allowed values: `human_user_metadata`

## Examples

**Response**

```json
[
  {
    "provider_attachment_id": "string",
    "organization_provider_id": "string",
    "file_name": "string",
    "file_type": "W9",
    "description": "string",
    "content_type": "string",
    "created_at": "2024-01-15T09:30:00Z",
    "created_by": {
      "user_id": "string",
      "idp_metadata": [
        {
          "auth0_id": "auth0|5f9b3b5a7b0b0d006a2b0b0b",
          "type": "auth_zero_metadata"
        }
      ],
      "user_metadata": {
        "name": "string",
        "type": "machine_user_metadata"
      },
      "primary_organization_id": "string"
    }
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.taigabilling.com/api/organization-providers/v3/organization_provider_id/attachments"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```